---
title: "Browse"
description: "不使用关键词，列出 TikTok Shop 某个类目下的商品。"
---

```http
GET | POST /v1/tiktokshop/browse
```

参数可以用 `GET` 的查询字符串发送，也可以用 `POST` 的 JSON 请求体发送，两者等价。

## 参数

| Parameter | Type | Required | Notes |
|---|---|---|---|
| `categoryId` | string | yes | REQUIRED. The category to list, by the marketplace's own id. |
| `region` | string |  | Buyer country as ISO 3166-1 alpha-2; sets availability, shipping and price. |

## 请求

```bash tab="cURL"
curl "https://gateway.apinoa.com/v1/tiktokshop/browse?categoryId=816392" \
  -H "x-api-key: $APINOA_API_KEY"
```

```js tab="JavaScript"
const params = new URLSearchParams({ categoryId: "816392" });
const res = await fetch(`https://gateway.apinoa.com/v1/tiktokshop/browse?${params}`, {
  headers: { "x-api-key": process.env.APINOA_API_KEY },
});
const { success, data, error } = await res.json();
```

```python tab="Python"
import os

import requests

res = requests.get(
    "https://gateway.apinoa.com/v1/tiktokshop/browse",
    params={"categoryId": "816392"},
    headers={"x-api-key": os.environ["APINOA_API_KEY"]},
)
body = res.json()
```

## 响应

在 `data` 中返回 [`SearchResult`](/docs/api-reference/marketplaces/response-schema#searchresult)。 真实响应的节选：数组只保留前几项，长文本已截断。

```json
{
  "success": true,
  "data": {
    "marketplace": "tiktokshop",
    "page": {
      "index": 1,
      "size": 15
    },
    "items": [
      {
        "marketplace": "tiktokshop",
        "id": "1732423030157120226",
        "url": "https://shop.tiktok.com/us/pdp/pet-grooming-brush-dual-sided-deshedding-tool-for-dogs-cats/1732423030157120226",
        "title": "Dual-Sided Steel & Rubber Shedding Grooming Brush for Large Dogs - Gentle-on-Skin, Clean, Slicker Brush with Dual-Sided…",
        "price": {
          "currency": "USD",
          "amount": 18.99
        },
        "rating": {
          "average": 4.8,
          "count": 14
        },
        "seller": {
          "id": "7494595090387535586",
          "name": "SNF PET"
        },
        "salesCount": 136,
        "delivery": {
          "free": true
        },
        "imageUrl": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/b7109fb9e360462da1885153a3687b1f~tplv-fhlh96ny…",
        "variantCount": 1,
        "badges": [
          "Free shipping"
        ],
        "promotions": [],
        "attributes": []
      }
    ]
  }
}
```

## 错误

| 状态 | 代码 | 含义 |
|---|---|---|
| 400 | `INVALID_PARAMS` | 参数缺失、未知或超出范围。消息中会指出是哪一个。 |
| 401 | `UNAUTHORIZED` | 缺少 `x-api-key` 请求头，或密钥已吊销或未知。 |
| 402 | `INSUFFICIENT_BALANCE` | 余额不足以支付本次调用。请在控制台充值。 |
| 404 | `NOT_FOUND` | 类目不存在。 |
| 429 | `MARKETPLACE_SATURATED` | 并发调用过多。请等待 `Retry-After` 秒后重试。 |
| 502 | `UPSTREAM_ERROR` | 平台返回了无法使用的内容。请退避后重试。 |

全部错误代码见 [Errors](/docs/errors)。失败的调用不计费。

## 价格

**Price** $0.001 per call. [List price](https://apinoa.com/en/pricing); the rate steps down above 1,000 calls a day.

## 说明

- **商品为一页，** 按类目页的展示，通常为 10–15 件。没有 `page` 或 `cursor`。
- **`categoryId`** 是 [Categories](/docs/api-reference/tiktokshop/categories) 返回的 id，或类目 URL（`shop.tiktok.com/us/c/<名称>/<id>`）。
